Bug 308439 - KWin should warn about isufficient GL limits
Summary: KWin should warn about isufficient GL limits
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: 4.9.2
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-15 14:02 UTC by karaluh
Modified: 2013-07-24 19:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11
thomas.luebking: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2012-10-15 14:02:41 UTC
As in summary. With compositing disabled or with only one display everything is fine. The card identifies itself as Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controler.
Comment 1 Thomas Lübking 2012-10-15 14:37:54 UTC
please provide
a) the output of "qdbus org.kde.kwin /KWin supportInformation"
b) the output of "glxinfo -l"
c) the ouput of "xrandr -q" (in the multiscreen setup)
Comment 2 karaluh 2012-10-16 05:58:01 UTC
(In reply to comment #1)
> please provide

All information below, on multihead setup and compositing disabled.

> a) the output of "qdbus org.kde.kwin /KWin supportInformation"

==========================

Options
=======
focusPolicy: 0
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
tiling: false
tilingLayout: 1
tilingRaisePolicy: 0
separateScreenFocus: false
activeMouseScreen: false
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
showDesktopIsMinimizeAll: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
legacyFullscreenSupport: false
operationTitlebarDblClick: 
commandActiveTitlebar1: 0
commandActiveTitlebar2: 30
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 30
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 31
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777251
showGeometryTip: false
electricBorders: false
electricBorderDelay: 150
electricBorderCooldown: 350
electricBorderPushbackPixels: 1
electricBorderMaximize: true
electricBorderTiling: true
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
inactiveTabsSkipTaskbar: false
autogroupSimilarWindows: false
autogroupInForeground: true
compositingMode: 1
useCompositing: true
compositingInitialized: true
hiddenPreviews: 1
unredirectFullscreen: false
glSmoothScale: 2
glVSync: true
xrenderSmoothScale: false
maxFpsInterval: 17
refreshRate: 0
vBlankTime: 6144
glDirect: true
glStrictBinding: true
glStrictBindingFollowsDriver: true

Compositing
===========
Qt Graphics System: raster
Compositing is not active

> b) the output of "glxinfo -l"

name of display: :0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_swap_control, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, 
    GLX_INTEL_swap_event
client glx vendor string: Mesa Project and SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_EXT_framebuffer_sRGB, 
    GLX_EXT_create_context_es2_profile, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_swap_control, 
    GLX_OML_swap_method, GLX_OML_sync_control, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, 
    GLX_EXT_texture_from_pixmap, GLX_INTEL_swap_event
GLX version: 1.4
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_swap_control, 
    GLX_OML_swap_method, GLX_OML_sync_control, GLX_SGI_make_current_read, 
    GLX_SGI_swap_control, GLX_SGI_video_sync, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGIX_visual_select_group, 
    GLX_EXT_texture_from_pixmap
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 945GM x86/MMX/SSE2
OpenGL version string: 1.4 Mesa 8.0.4
OpenGL extensions:
    GL_ARB_multisample, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_copy_texture, 
    GL_EXT_polygon_offset, GL_EXT_subtexture, GL_EXT_texture_object, 
    GL_EXT_vertex_array, GL_EXT_compiled_vertex_array, GL_EXT_texture, 
    GL_EXT_texture3D, GL_IBM_rasterpos_clip, GL_ARB_point_parameters, 
    GL_EXT_draw_range_elements, GL_EXT_packed_pixels, GL_EXT_point_parameters, 
    GL_EXT_rescale_normal, GL_EXT_separate_specular_color, 
    GL_EXT_texture_edge_clamp, GL_SGIS_generate_mipmap, 
    GL_SGIS_texture_border_clamp, GL_SGIS_texture_edge_clamp, 
    GL_SGIS_texture_lod, GL_ARB_multitexture, GL_IBM_multimode_draw_arrays, 
    GL_IBM_texture_mirrored_repeat, GL_3DFX_texture_compression_FXT1, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, GL_ARB_transpose_matrix, 
    GL_EXT_blend_func_separate, GL_EXT_fog_coord, GL_EXT_multi_draw_arrays, 
    GL_EXT_secondary_color, GL_EXT_texture_env_add, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias, 
    GL_INGR_blend_func_separate, GL_NV_blend_square, GL_NV_light_max_exponent, 
    GL_NV_texgen_reflection, GL_NV_texture_env_combine4, 
    GL_SUN_multi_draw_arrays, GL_ARB_texture_border_clamp, 
    GL_ARB_texture_compression, GL_EXT_framebuffer_object, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, GL_MESA_window_pos, 
    GL_NV_packed_depth_stencil, GL_NV_texture_rectangle, GL_NV_vertex_program, 
    GL_ARB_depth_texture, GL_ARB_shadow, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3, 
    GL_ARB_texture_mirrored_repeat, GL_ARB_window_pos, 
    GL_EXT_stencil_two_side, GL_EXT_texture_cube_map, GL_NV_vertex_program1_1, 
    GL_APPLE_packed_pixels, GL_APPLE_vertex_array_object, GL_ARB_draw_buffers, 
    GL_ARB_fragment_program, GL_ARB_fragment_shader, GL_ARB_shader_objects, 
    GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ATI_draw_buffers, 
    GL_ATI_texture_env_combine3, GL_EXT_shadow_funcs, GL_EXT_stencil_wrap, 
    GL_MESA_pack_invert, GL_MESA_ycbcr_texture, GL_ARB_half_float_pixel, 
    GL_ARB_point_sprite, GL_ARB_shading_language_100, GL_ARB_sync, 
    GL_ARB_texture_non_power_of_two, GL_ARB_vertex_buffer_object, 
    GL_ATI_blend_equation_separate, GL_EXT_blend_equation_separate, 
    GL_OES_read_format, GL_ARB_pixel_buffer_object, GL_ARB_texture_rectangle, 
    GL_EXT_pixel_buffer_object, GL_EXT_texture_rectangle, 
    GL_ARB_framebuffer_object, GL_EXT_framebuffer_blit, 
    GL_EXT_framebuffer_multisample, GL_EXT_packed_depth_stencil, 
    GL_APPLE_object_purgeable, GL_ARB_vertex_array_object, 
    GL_ATI_separate_stencil, GL_EXT_gpu_program_parameters, GL_OES_EGL_image, 
    GL_ARB_copy_buffer, GL_ARB_map_buffer_range, 
    GL_EXT_separate_shader_objects, GL_ARB_ES2_compatibility, 
    GL_ARB_draw_elements_base_vertex, GL_ARB_explicit_attrib_location, 
    GL_ARB_provoking_vertex, GL_ARB_sampler_objects, GL_EXT_provoking_vertex, 
    GL_ARB_robustness
OpenGL limits:
    GL_MAX_ATTRIB_STACK_DEPTH = 16
    GL_MAX_CLIENT_ATTRIB_STACK_DEPTH = 16
    GL_MAX_CLIP_PLANES = 6
    GL_MAX_ELEMENTS_VERTICES = 3000
    GL_MAX_ELEMENTS_INDICES = 3000
    GL_MAX_EVAL_ORDER = 30
    GL_MAX_LIGHTS = 8
    GL_MAX_LIST_NESTING = 64
    GL_MAX_MODELVIEW_STACK_DEPTH = 32
    GL_MAX_NAME_STACK_DEPTH = 64
    GL_MAX_PIXEL_MAP_TABLE = 256
    GL_MAX_PROJECTION_STACK_DEPTH = 32
    GL_MAX_TEXTURE_STACK_DEPTH = 10
    GL_MAX_TEXTURE_SIZE = 2048
    GL_MAX_3D_TEXTURE_SIZE = 256
    GL_MAX_VIEWPORT_DIMS = 16384, 16384
    GL_ALIASED_LINE_WIDTH_RANGE = 1, 5
    GL_SMOOTH_LINE_WIDTH_RANGE = 1, 5
    GL_ALIASED_POINT_SIZE_RANGE = 1, 255
    GL_SMOOTH_POINT_SIZE_RANGE = 1, 3
    GL_MAX_CUBE_MAP_TEXTURE_SIZE_ARB = 2048
    GL_MAX_RECTANGLE_TEXTURE_SIZE_NV = 2048
    GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB = 2
    GL_MAX_TEXTURE_UNITS_ARB = 8
    GL_MAX_TEXTURE_LOD_BIAS_EXT = 14
    GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT = 4
    GL_MAX_DRAW_BUFFERS_ARB = 1
    GL_VERTEX_PROGRAM_ARB:
        GL_MAX_PROGRAM_INSTRUCTIONS_ARB = 16384
        GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB = 16384
        GL_MAX_PROGRAM_TEMPORARIES_ARB = 256
        GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB = 256
        GL_MAX_PROGRAM_PARAMETERS_ARB = 4096
        GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB = 4096
        GL_MAX_PROGRAM_ATTRIBS_ARB = 16
        GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB = 16
        GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB = 1
        GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB = 1
        GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB = 4096
        GL_MAX_PROGRAM_ENV_PARAMETERS_ARB = 256
    GL_FRAGMENT_PROGRAM_ARB:
        GL_MAX_PROGRAM_INSTRUCTIONS_ARB = 16384
        GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB = 96
        GL_MAX_PROGRAM_TEMPORARIES_ARB = 256
        GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB = 16
        GL_MAX_PROGRAM_PARAMETERS_ARB = 64
        GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB = 32
        GL_MAX_PROGRAM_ATTRIBS_ARB = 12
        GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB = 11
        GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB = 0
        GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB = 0
        GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB = 4096
        GL_MAX_PROGRAM_ENV_PARAMETERS_ARB = 32
        GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB = 16384
        GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB = 16384
        GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB = 16384
        GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB = 64
        GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB = 32
        GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB = 4
    GL_VERTEX_SHADER_ARB:
        GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB = 16384
        GL_MAX_VARYING_FLOATS_ARB = 32
        GL_MAX_VERTEX_ATTRIBS_ARB = 16
        GL_MAX_TEXTURE_IMAGE_UNITS_ARB = 8
        GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB = 16
        GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB = 24
        GL_MAX_TEXTURE_COORDS_ARB = 8
    GL_FRAGMENT_SHADER_ARB:
        GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB = 16384
        GL_MAX_TEXTURE_COORDS_ARB = 8
        GL_MAX_TEXTURE_IMAGE_UNITS_ARB = 8

32 GLX Visuals
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x021 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x022 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x08e 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x08f 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x090 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x091 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x092 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x093 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x094 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x095 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x096 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x097 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x098 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x099 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x09a 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x09b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x09c 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x09d 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x09e 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x09f 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0a0 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0a1 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0a2 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a3 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a4 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x0a5 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0a6 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0a7 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x0a8 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x0a9 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x0aa 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x05d 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None

48 GLXFBConfigs:
    visual  x   bf lv rg d st  colorbuffer  sr ax dp st accumbuffer  ms  cav
  id dep cl sp  sz l  ci b ro  r  g  b  a F gb bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------------
0x05e  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x05f  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x060  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x061  0 tc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x062  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x063  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x064 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x065 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x066 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x067 24 tc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x068 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x069 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x06a 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x06b 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x06c 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x06d 24 tc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x06e 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x06f 32 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x070  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x071  0 tc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x072 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x073 24 tc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x074 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x075 24 tc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow
0x076  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x077  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x078  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0  0  0  0  0  0  0  0 0 None
0x079  0 dc  0  16  0 r  . .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x07a  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x07b  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x07c 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x07d 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x07e 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0  0  0  0  0  0  0  0 0 None
0x07f 24 dc  0  24  0 r  . .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x080 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x081 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x082 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x083 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x084 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0  0  0  0  0  0  0  0 0 None
0x085 24 dc  0  32  0 r  . .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x086 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x087 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x088  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0  0  0  0  0  0 0 None
0x089  0 dc  0  16  0 r  y .   5  6  5  0 .  .  0 16  0 16 16 16  0  0 0 Slow
0x08a 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8  0  0  0  0  0 0 None
0x08b 24 dc  0  24  0 r  y .   8  8  8  0 .  .  0 24  8 16 16 16  0  0 0 Slow
0x08c 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8  0  0  0  0  0 0 None
0x08d 24 dc  0  32  0 r  y .   8  8  8  8 .  .  0 24  8 16 16 16 16  0 0 Slow

> c) the ouput of "xrandr -q" (in the multiscreen setup)

Screen 0: minimum 320 x 200, current 2720 x 900, maximum 4096 x 4096
LVDS1 connected 1280x800+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1280x800       60.0*+
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 connected 1440x900+1280+0 (normal left inverted right x axis y axis) 410mm x 257mm
   1440x900       59.9*+   75.0  
   1280x1024      75.0     60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
TV1 unknown connection (normal left inverted right x axis y axis)
   848x480        59.9 +
   640x480        59.9 +
   1024x768       59.9  
   800x600        59.9
Comment 3 Thomas Lübking 2012-10-16 06:12:16 UTC
(In reply to comment #2)
> OpenGL renderer string: Mesa DRI Intel(R) 945GM x86/MMX/SSE2
>     GL_MAX_VIEWPORT_DIMS = 16384, 16384
Lie, it's more like "2048, 2048"

>         GL_MAX_PROGRAM_INSTRUCTIONS_ARB = 16384
>         GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB = 16384
>         GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB = 4096
>         GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB = 4096
>         GL_MAX_PROGRAM_INSTRUCTIONS_ARB = 16384
>         GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB = 4096
>         GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB = 16384
>         GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB = 16384
>         GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB = 16384
>         GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB = 16384
>         GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB = 16384
Those are not reasonable either (iow: "lies") but unrelated in this case, however ensure the blur effect strength is not too high.

> Screen 0: minimum 320 x 200, current 2720 x 900, maximum 4096 x 4096
Arrange the screens on top of each other, so you'll get 1440x1700

-> How's the speed then?
Comment 4 karaluh 2012-10-16 10:03:28 UTC
(In reply to comment #3)
> Those are not reasonable either (iow: "lies") but unrelated in this case,
> however ensure the blur effect strength is not too high.

Reduced it to the one level above min, but the result is hardly noticeable.
 
> > Screen 0: minimum 320 x 200, current 2720 x 900, maximum 4096 x 4096
> Arrange the screens on top of each other, so you'll get 1440x1700
> -> How's the speed then?

Wow, the difference is HUGE. There are still little slowdowns here and there compared to disabled compositing, but the workspace responsiveness is ok now.
Comment 5 Thomas Lübking 2012-10-16 16:37:35 UTC
*sigh*

@Martin, would you accept a hack-a-round to limit the maximum viewport to the mamximum texture size or should we "could you please stop propagating nonsense" rumble into the Mesa devs?
(Maybe more polite and w/o rumbling but it actually seems this "yeah, in SW we theoretically..." junk is intended :-(
Comment 6 Martin Flöser 2012-10-16 17:01:31 UTC
On Tuesday 16 October 2012 16:37:35 you wrote:
> @Martin, would you accept a hack-a-round to limit the maximum viewport to
> the mamximum texture size
doesn't look so much like a hack to me, to add some general checks to 
SceneOpenGL to verify viewport/texture size and stop the Compositor (fallback 
to XRender) with maybe a notification. Should of course also be checked upon 
screen geometry change.
Comment 7 karaluh 2012-11-27 11:11:02 UTC
Should I report this bug upstream? How's the workaround going?
Comment 8 Martin Flöser 2012-11-27 11:21:10 UTC
(In reply to comment #7)
> Should I report this bug upstream?
no, only if you have the latest drivers installed. The report is about Mesa 8.0, while the current stable is 9.0 and the development version is 9.1.
Comment 9 karaluh 2012-11-27 12:10:07 UTC
Reproduced on Mesa 9.0
https://bugs.freedesktop.org/show_bug.cgi?id=57609
Comment 10 Thomas Lübking 2012-11-27 12:51:08 UTC
FTR, we've pending review request, but introduces complex new strings.
https://git.reviewboard.kde.org/r/106917/
Comment 11 karaluh 2013-07-24 06:05:50 UTC
Just FYI, I decided to report the bug upstream and got response today:

"I suspect KDE is using the advertised maximum viewport incorrectly.  The OpenGL
spec requires the value be fairly large.  Section 2.12.1 (Controlling the
Viewport) says:

    The maximum viewport dimensions must be greater than or equal to
    the larger of the visible dimensions of the display being rendered
    to (if a display exists), and the largest renderbuffer image which
    can be successfully created and attached to a framebuffer object
    (see chapter 4).

X allows the user to create very large windows and pixmaps... even larger than
the display itself.  As a result, we can't advertise a small value here and
still comply with the spec.

If KDE wants to know sizes that will be "fast," GL_MAX_RENDERBUFFER_SIZE is
likely a better metric."

https://bugs.freedesktop.org/show_bug.cgi?id=57609
Comment 12 Thomas Lübking 2013-07-24 13:59:26 UTC
Ok, many thanks for the info - that at least explains why the driver annouces to support such enormous viewports.

The patch (it's in 4.11) more or less tests that (GL_MAX_TEXTURE_SIZE instead of GL_MAX_RENDERBUFFER_SIZE, but that has similar implications and too small GL_MAX_TEXTURE_SIZE adds the other obstacle that we cannot redirect eg. maximized windows) and warns about a potentially slow system for that.

Altering bug status since it's not an upstream bug then.
Comment 13 Thomas Lübking 2013-07-24 19:25:14 UTC
Git commit 8e922c6edd1e992f32e271fb9fad82db4dbc96f6 by Thomas Lübking.
Committed on 24/07/2013 at 13:11.
Pushed by luebking into branch 'KDE/4.11'.

remove mouse polling from cube effect

entirely superfluous and causes laggy interaction
FIXED-IN: 4.11
REVIEW: 111669

M  +19   -33   kwin/effects/cube/cube.cpp
M  +0    -3    kwin/effects/cube/cube.h

http://commits.kde.org/kde-workspace/8e922c6edd1e992f32e271fb9fad82db4dbc96f6
Comment 14 Thomas Lübking 2013-07-24 19:33:58 UTC
Sorry for the last commit - bug id copy & paste failure.